Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageNoiseSource Class Reference

`#include <vtkImageNoiseSource.h>`

Inheritance diagram for vtkImageNoiseSource:

[legend]
Collaboration diagram for vtkImageNoiseSource:

[legend]
List of all members.

## Detailed Description

Create an image filled with noise.

Date:
  2002/01/22 15:33:09

Revision:
  1.25

vtkImageNoiseSource just produces images filled with noise. The only option now is uniform noise specified by a min and a max. There is one major problem with this source. Every time it executes, it will output different pixel values. This has important implications when a stream requests overlapping regions. The same pixels will have different values on different updates.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (57%)
  - Martin, Ken (34%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageNoiseSource.h)`
  - .`cxx` (`/Imaging/vtkImageNoiseSource.cxx)`

Tests:
  vtkImageNoiseSource (Tests)

Definition at line 51 of file vtkImageNoiseSource.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetMinimum (float)
virtual float | GetMinimum ()
virtual void | SetMaximum (float)
virtual float | GetMaximum ()
void | SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax)
## Static Public Methods
vtkImageNoiseSource * | New ()
int | IsTypeOf (const char *type)
vtkImageNoiseSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageNoiseSource ()
| ~vtkImageNoiseSource ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *data)
## Protected Attributes
float | Minimum
float | Maximum
int | WholeExtent [6]

## Member Typedef Documentation

typedef vtkImageSource vtkImageNoiseSource::Superclass

| Reimplemented from vtkImageSource. Definition at line 55 of file vtkImageNoiseSource.h.

## Constructor & Destructor Documentation

vtkImageNoiseSource::vtkImageNoiseSource | ( |  | ) | `[protected]`

vtkImageNoiseSource::~vtkImageNoiseSource | ( |  | ) | `[inline, protected]`

| Definition at line 74 of file vtkImageNoiseSource.h.

## Member Function Documentation

vtkImageNoiseSource* vtkImageNoiseSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageNoiseSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkImageNoiseSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkImageNoiseSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkImageNoiseSource* vtkImageNoiseSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkImageNoiseSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

virtual void vtkImageNoiseSource::SetMinimum | ( | float |  | ) | `[virtual]`

| Set/Get the minimum and maximum values for the generated noise.

virtual float vtkImageNoiseSource::GetMinimum | ( |  | ) | `[virtual]`

| Set/Get the minimum and maximum values for the generated noise.

virtual void vtkImageNoiseSource::SetMaximum | ( | float |  | ) | `[virtual]`

| Set/Get the minimum and maximum values for the generated noise.

virtual float vtkImageNoiseSource::GetMaximum | ( |  | ) | `[virtual]`

| Set/Get the minimum and maximum values for the generated noise.

void vtkImageNoiseSource::SetWholeExtent | ( | int | xMinx,
|  | int | xMax,
|  | int | yMin,
|  | int | yMax,
|  | int | zMin,
|  | int | zMax
| ) |

| Set how large of an image to generate.

virtual void vtkImageNoiseSource::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkImageNoiseSource::ExecuteData | ( | vtkDataObject * | data | ) | `[protected, virtual]`

## Member Data Documentation

float vtkImageNoiseSource::Minimum`[protected]`

| Definition at line 76 of file vtkImageNoiseSource.h.

float vtkImageNoiseSource::Maximum`[protected]`

| Definition at line 77 of file vtkImageNoiseSource.h.

int vtkImageNoiseSource::WholeExtent[6]`[protected]`

| Definition at line 78 of file vtkImageNoiseSource.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageNoiseSource.h